#2 getElementFragmentNs omits duplicate XML namespaces

1.0
pending
jimmy zhang
None
2014-05-17
2014-05-15
Ariel Valentin
No

getElementFragmentNs omits duplicate XML namespaces when sibling nodes that appear after the targeted element.

The attached JUnit test contains a few samples and reproduces the problem.

1 Attachments

Related

Tickets: #2

Discussion

  • jimmy zhang
    jimmy zhang
    2014-05-16

    ok, thanks for reporting will look into it

     
  • jimmy zhang
    jimmy zhang
    2014-05-16

    • status: open --> pending
    • assigned_to: jimmy zhang
     
  • jimmy zhang
    jimmy zhang
    2014-05-16

    bug is now fixed, plz check out vtdNav.java from cvs it should work
    can u verify it?

     
    Last edit: jimmy zhang 2014-05-16
    • Ariel Valentin
      Ariel Valentin
      2014-05-16

      Jimmy,

      When is the next release scheduled?

      Thanks,
      Ariel


      Sent from my mobile device. Please excuse any errors.

      On May 16, 2014, at 2:49 PM, "jimmy zhang" jzhang2004@users.sf.net wrote:

      bug is now fixed, plz check out vtdNav.java from cvs it should work

      [tickets:#2] getElementFragmentNs omits duplicate XML namespaces

      Status: pending
      Milestone: 1.0
      Created: Thu May 15, 2014 03:15 AM UTC by Ariel Valentin
      Last Updated: Fri May 16, 2014 02:51 AM UTC
      Owner: jimmy zhang

      getElementFragmentNs omits duplicate XML namespaces when sibling nodes that appear after the targeted element.

      The attached JUnit test contains a few samples and reproduces the problem.

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/vtd-xml/tickets/2/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #2

      Attachments
  • jimmy zhang
    jimmy zhang
    2014-05-16

    we are working on other port of vtd-xml for 2.12, everything 2.12 in java is in CVS, u can check it out and build it...

     
    • Ariel Valentin
      Ariel Valentin
      2014-05-16

      Jimmy

      Thanks for the prompt reply. Sure I can do that. Do you have a git mirror? I would have to deploy this to a private maven repository and our infrastructure does not CVS.

      Do you have a timeline for an official release?

      Thanks,
      Ariel


      Sent from my mobile device. Please excuse any errors.

      On May 16, 2014, at 7:10 PM, "jimmy zhang" jzhang2004@users.sf.net wrote:

      we are working on other port of vtd-xml for 2.12, everything 2.12 in java is in CVS, u can check it out and build it...

      [tickets:#2] getElementFragmentNs omits duplicate XML namespaces

      Status: pending
      Milestone: 1.0
      Created: Thu May 15, 2014 03:15 AM UTC by Ariel Valentin
      Last Updated: Fri May 16, 2014 06:49 PM UTC
      Owner: jimmy zhang

      getElementFragmentNs omits duplicate XML namespaces when sibling nodes that appear after the targeted element.

      The attached JUnit test contains a few samples and reproduces the problem.

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/vtd-xml/tickets/2/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #2

      Attachments
  • jimmy zhang
    jimmy zhang
    2014-05-17

    cvs only, so i am old school :(